Actualización a Debian 2.0 en máquinas x86

Para evitar problemas en la actualización de paquetes vía dpkg, dselect, o dftp (debido a posibles conflictos entre libc5/libc6), se recomienda un procedimiento especial de actualización. Este documento describe ese procedimiento.

Hay varias maneras para actualizar desde una versión anterior:

  1. autoup.sh
    Este es un script que puede actualizar los programas en su orden correcto, también puede descargar los deb's por usted. Por causa de los continuos cambios en los archivos, está disponible un archivo tar de los paquetes que estaban disponibles en el momento en que autoup.sh se realizó. Está disponible en los siguientes sitios:
  2. apt-get
    Esta línea de comandos forma parte del futuro administrador de paquetes de Debian. Sabe como ordenar paquetes y podrá descargarlos desde un archivo local, http, y sitios ftp. Es capaz de mezclar la información de varios sitios, por lo que puede usar un CD, un mirror (espejo) actualizado, y un sitio non-us para la mejor combinación de velocidad, variedad, y últimas versiones. Sólo ejecuta 'apt-get update; apt-get dist-upgrade'. La versión 'Bo' está en: http://archive.debian.org/debian/dists/hamm/main/upgrade-i386/. La versión Bo de apt-get está adecuadamente testeada. apt-get es parte oficial del sistema de paquetes iniciado con slink.i
  3. Manualmente
    Un HOWTO (COMO) puede encontrarse en: $HOME/releases/hamm/autoup/libc5-libc6-Mini-HOWTO.html pero como el autoup.sh simplemente automatiza este proceso, esta es la opción menos conveniente.

Preguntas y respuestas

Q: ¿Por qué no usar el método ftp de Dselect como normalmente?
A: No puede ordenar la instalación de los paquetes correctamente por lo que no puede garantizar una actualización uniforme. Se está trabajando en APT, un nuevo interfaz a dpkg. Con apt, todas las futuras actualizaciones serán más fáciles que nunca y no sufrirán de este tipo de inconvenientes
   
Q: Ok, he hecho la actualización, ¿Estoy a salvo (tengo seguridad) para hacer cosas de nuevo?
A: Si, puede usar dselect de nuevo.